### Hierarchy

- unknown
  - TxInfo

## Index

### Constructors

- constructor

### Methods

- getFee
- getInputSum
- getIsPending
- getMemo
- getOutputSum
- getSize
- getTxId
- serializeBinary
- setFee
- setInputSum
- setIsPending
- setMemo
- setOutputSum
- setSize
- setTxId
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new TxInfo(): TxInfo

- Inherited from jspb.Message.constructor

  #### Returns TxInfo

## Methods

### getFee

- getFee(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2895

  #### Returns number

### getInputSum

- getInputSum(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2889

  #### Returns number

### getIsPending

- getIsPending(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2901

  #### Returns boolean

### getMemo

- getMemo(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2904

  #### Returns string

### getOutputSum

- getOutputSum(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2892

  #### Returns number

### getSize

- getSize(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2898

  #### Returns number

### getTxId

- getTxId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2886

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2907

  #### Returns Uint8Array

### setFee

- setFee(value: number): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2896

  #### Parameters

  - ##### value: number

  #### Returns TxInfo

### setInputSum

- setInputSum(value: number): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2890

  #### Parameters

  - ##### value: number

  #### Returns TxInfo

### setIsPending

- setIsPending(value: boolean): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2902

  #### Parameters

  - ##### value: boolean

  #### Returns TxInfo

### setMemo

- setMemo(value: string): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2905

  #### Parameters

  - ##### value: string

  #### Returns TxInfo

### setOutputSum

- setOutputSum(value: number): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2893

  #### Parameters

  - ##### value: number

  #### Returns TxInfo

### setSize

- setSize(value: number): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2899

  #### Parameters

  - ##### value: number

  #### Returns TxInfo

### setTxId

- setTxId(value: string): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2887

  #### Parameters

  - ##### value: string

  #### Returns TxInfo

### toObject

- toObject(includeInstance?: boolean): TxInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2908

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns TxInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2911

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns TxInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: TxInfo, reader: BinaryReader): TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2912

  #### Parameters

  - ##### message: TxInfo

  - ##### reader: BinaryReader

  #### Returns TxInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: TxInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2910

  #### Parameters

  - ##### message: TxInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: TxInfo ): TxInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2909

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: TxInfo

  #### Returns TxInfo . AsObject

Generated using TypeDoc